import { SubTagInfo, TagInfo } from '../../api';
import { Container, Row } from 'react-bootstrap';
import { Button } from 'antd';
import { useContext } from 'react';
import { TagCategoryContext } from '../../contexts/TagCategoryContext';

/**
 * Creates a single tag item in a tag panel.
 * @param props Properties should contain the tag.
 * @returns The item that represents the tag.
 */
export function SubTagItem(props: { tag: TagInfo; subTag: SubTagInfo }) {
    const { selectTag } = useContext(TagCategoryContext);

    /**
     * Selects the sub tag.
     */
    const onSelectSubTag = () => {
        selectTag(props.tag, props.subTag);
    };

    return (
        <Container>
            <Row>
                <Button type="text" onClick={onSelectSubTag} className="w-100 text-start">
                    {props.subTag.name}
                </Button>
            </Row>
        </Container>
    );
}
